libetonyek::IWORKPositionElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKPositionElement Class Reference

`#include <IWORKPositionElement.h>`

Inheritance diagram for libetonyek::IWORKPositionElement:

## Public Member Functions
| IWORKPositionElement (IWORKXMLParserState &state, boost::optional< IWORKPosition > &position)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
virtual void | attribute (int name, const char *value)
virtual void | endOfElement ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< IWORKPosition > & | m_position
boost::optional< double > | m_x
boost::optional< double > | m_y

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPositionElement()

libetonyek::IWORKPositionElement::IWORKPositionElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKPosition > & | position
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKPositionElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| protectedvirtual

## ◆ endOfElement()

void libetonyek::IWORKPositionElement::endOfElement | ( |  | ) |
| protectedvirtual

## Member Data Documentation

## ◆ m_position

boost::optional<IWORKPosition>& libetonyek::IWORKPositionElement::m_position
| private

Referenced by endOfElement().

## ◆ m_x

boost::optional<double> libetonyek::IWORKPositionElement::m_x
| private

Referenced by attribute(), and endOfElement().

## ◆ m_y

boost::optional<double> libetonyek::IWORKPositionElement::m_y
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKPositionElement.h
- IWORKPositionElement.cpp